import { CloudFront as AwsCloudFront, Credentials } from 'aws-sdk';
import { Component } from '@serverless/core';
import { CloudFrontInputs } from '../types';
declare class CloudFront extends Component {
    static createInvalidation({ credentials, distributionId, paths, }: {
        credentials: Credentials;
        distributionId: string;
        paths?: string[];
    }): Promise<AwsCloudFront.CreateInvalidationResult>;
    default(inputs: CloudFrontInputs): Promise<Record<string, any>>;
    remove(): Promise<void>;
}
export default CloudFront;
