import { PathPatternConfig } from '../../types';
declare const getCacheBehavior: (pathPattern: string, pathPatternConfig: PathPatternConfig, originId: string) => {
    ForwardedValues: {
        QueryString: boolean;
        Cookies: import("aws-sdk/clients/cloudfront").CookiePreference;
        Headers: import("aws-sdk/clients/cloudfront").Headers;
        QueryStringCacheKeys: import("aws-sdk/clients/cloudfront").QueryStringCacheKeys;
    };
    MinTTL: number | undefined;
    PathPattern: string;
    TargetOriginId: string;
    TrustedSigners: {
        Enabled: boolean;
        Quantity: number;
    };
    ViewerProtocolPolicy: string;
    AllowedMethods: {
        Quantity: number;
        Items: string[];
        CachedMethods: {
            Items: string[];
            Quantity: number;
        };
    };
    Compress: boolean;
    SmoothStreaming: boolean;
    DefaultTTL: number | undefined;
    MaxTTL: number | undefined;
    FieldLevelEncryptionId: string;
    LambdaFunctionAssociations: {
        Quantity: number;
        Items: never[];
    };
};
export default getCacheBehavior;
