import { CloudFront, S3 } from 'aws-sdk';
import { CloudFrontInputs } from '../../types';
export { default as createInvalidation } from './createInvalidation';
export declare const createCloudFrontDistribution: (cf: CloudFront, s3: S3, inputs: CloudFrontInputs) => Promise<{
    id?: string;
    arn?: string;
    url?: string;
}>;
export declare const updateCloudFrontDistribution: (cf: CloudFront, s3: S3, distributionId: string, inputs: CloudFrontInputs) => Promise<{
    id?: string;
    arn?: string;
    url?: string;
}>;
export declare const deleteCloudFrontDistribution: (cf: CloudFront, distributionId: string, debug: (message: string) => void) => Promise<void>;
