import { Component } from '@serverless/core';
import { Role, Policy } from '../types';
declare class IamRole extends Component {
    default(inputs?: Role): Promise<{
        name: string;
        arn: string;
        service: string | string[];
        policy: Policy;
    }>;
    remove(): Promise<void | {
        name: string;
        arn: string;
        service: string[];
        policy: Policy;
    }>;
}
export default IamRole;
