import { Component } from '@serverless/core';
import { AwsLambdaInputs } from '../types';
declare class LambdaComponent extends Component {
    default(inputs?: Partial<AwsLambdaInputs>): Promise<Pick<AwsLambdaInputs, "code" | "timeout" | "memory" | "lambda" | "description" | "name" | "region" | "role" | "handler" | "runtime" | "env" | "zipPath" | "bucket" | "shims" | "arn" | "hash">>;
    publishVersion(): Promise<{
        version: string | undefined;
    }>;
    remove(): Promise<Pick<any, string> | undefined>;
}
export default LambdaComponent;
