"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.STATE_ROOT = exports.METHOD_NAME_MAP = exports.DEPLOY_CONFIG_NAME = exports.DEFAULT_ENGINE = exports.SUPPORTED_ENGINES = void 0;
exports.SUPPORTED_ENGINES = [
    {
        type: 'aws',
        component: '@next-deploy/aws-component',
    },
    {
        type: 'github',
        component: '@next-deploy/github',
    },
];
exports.DEFAULT_ENGINE = 'aws';
exports.DEPLOY_CONFIG_NAME = 'next-deploy.config.js';
exports.METHOD_NAME_MAP = [
    { name: 'init' },
    { name: 'default', action: 'Deploying', actionNoun: 'Deployment' },
    { name: 'build', action: 'Building', actionNoun: 'Build' },
    { name: 'deploy', action: 'Deploying', actionNoun: 'Deployment' },
    { name: 'remove', action: 'Removing', actionNoun: 'Removal' },
];
exports.STATE_ROOT = '.next-deploy';
