import { Component } from '@serverless/core';
import { GithubInputs, DeploymentResult } from '../types';
declare class GithubComponent extends Component {
    default(inputs?: GithubInputs): Promise<DeploymentResult>;
    build({ build, nextConfigDir, domain }?: GithubInputs): Promise<void>;
    deploy({ domain, publish: publishOptions }?: GithubInputs): Promise<DeploymentResult>;
    remove(): Promise<void>;
}
export default GithubComponent;
