"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = exports.getDomains = void 0;
exports.getDomains = (domains) => {
    if (typeof domains === 'string') {
        return { domain: domains, subdomain: 'www' };
    }
    if (domains instanceof Array && domains.length) {
        return {
            domain: domains.length > 1 ? domains[1] : domains[0],
            subdomain: domains.length > 1 && domains[0] ? domains[0] : 'www',
        };
    }
    return { domain: undefined, subdomain: undefined };
};
exports.load = async (path, that, name) => {
    const EngineComponent = await Promise.resolve().then(() => __importStar(require(path)));
    const component = new EngineComponent.default(`${that.id}.${name || EngineComponent.default.name}`, that.context.instance);
    await component.init();
    component.context.log = () => ({});
    component.context.status = () => ({});
    component.context.output = () => ({});
    return component;
};
