import { S3 } from 'aws-sdk';
import { UploadStaticAssetsOptions } from '../../types';
export declare const SERVER_CACHE_CONTROL_HEADER = "public, max-age=0, s-maxage=2678400, must-revalidate";
export declare const IMMUTABLE_CACHE_CONTROL_HEADER = "public, max-age=31536000, immutable";
declare const uploadStaticAssets: ({ bucketName, nextConfigDir, nextStaticDir, publicDirectoryCache, credentials, }: UploadStaticAssetsOptions) => Promise<S3.ManagedUpload.SendData[]>;
export default uploadStaticAssets;
