"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const minimist_1 = __importDefault(require("minimist"));
const deploy_1 = __importDefault(require("./deploy"));
const config_1 = require("./config");
const deployConfigPath = path_1.default.join(process.cwd(), config_1.DEPLOY_CONFIG_NAME);
const args = minimist_1.default(process.argv.slice(2));
const method = args._[0] || undefined;
deploy_1.default(deployConfigPath, method);
